<?php
/**
 * @file
 *    Custom theme's template.php file.
 */

/**
 * Preprocess page.tpl.php variables.
 */
function jq4dat_preprocess_page(&$vars) {
  // Make sure jQuery UI module is enabled.  Fail if not.
  if (!function_exists('jquery_ui_add')) {
    drupal_set_message(t('You need to enable the <a href="http://drupal.org/project/jquery_ui">jQuery UI module</a> for the <em>jQuery for Designers and Themers</em> theme to work.'), 'error');
    return;
  }

  // Sortable requires Draggable and Droppable, but jquery_ui.module already
  // knows that, so we don't need to load them explicitly.
  // I didn't demo jQuery UI effects in the session but have a demo in this code.
  jquery_ui_add(array('ui.sortable', 'effects.explode', 'effects.bounce'));

  // Because $scripts has already been rendered, we need to re-render it.
  // This has a performance hit.  Techniques to avoid the performance hit are discussed at
  // http://civicactions.com/blog/2009/jun/11/cant_add_css_js_rss_icon_or_set_title_or_messages_preprocess_page
  $vars['scripts'] = drupal_get_js();
}
